[2.0] Auto upgrade manager [developer needed]

Mark threads with "[2.0]" for discussions about features in the longer-term future, "[1.6]" is for short-term. This is not the place for general discussions or plugin or template requests. Only features that are approved to happen by the core team should be listed here for better structuring.
User avatar
blog.brockha.us
Regular
Posts: 695
Joined: Tue Jul 03, 2007 3:34 am
Location: Berlin, Germany
Contact:

Re: [2.0] Auto upgrade manager [developer needed]

Post by blog.brockha.us » Wed Jan 04, 2012 6:53 pm

Huh.. We should add an info to our github accs, who we are in the "s9y world".. :mrgreen:
- Grischa Brockhaus - http://blog.brockha.us
- Want to make me happy? http://wishes.brockha.us/

User avatar
Timbalu
Regular
Posts: 4598
Joined: Sun May 02, 2004 3:04 pm

Re: [2.0] Auto upgrade manager [developer needed]

Post by Timbalu » Wed Jan 04, 2012 7:13 pm

Not really, hah...? We are so few people, some doubles are really appreciated! 8)
Regards,
Ian

Serendipity Styx Edition and additional_plugins @ https://ophian.github.io/ @ https://github.com/ophian

User avatar
onli
Regular
Posts: 2230
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: [2.0] Auto upgrade manager [developer needed]

Post by onli » Wed Mar 12, 2014 10:46 am

Okay. Let's talk about integrating this into 2.0.

There are two options:
1. Integrating this in the core
2. Bundling the plugin with the default plugins

For that to happen, we have to check the plugin, go over the code for (security) flaws. For example, can we download the archive in a better way? Can something go wrong which could harm the blog (though we have no reports of that)?

There are also smaller issues, like the different interface design of the autoupdate-upgrader, which does not use the backend style (at least on my blog).

User avatar
Timbalu
Regular
Posts: 4598
Joined: Sun May 02, 2004 3:04 pm

Re: [2.0] Auto upgrade manager [developer needed]

Post by Timbalu » Thu Mar 20, 2014 11:00 am

onli wrote:Okay. Let's talk about integrating this into 2.0.
Thanks for pushing my issue into here!
I really would like to have this in core. This has been out and working some years by now and I never had and heard about problems. It is even more safe than Spartacus, since verifying the hash before install. For the 99% of all users this is a very neat and secure way of updating (*) and allows to keep all these blogs out there to keep in touch with Serendipity bugfix and feature upgrades easily. There are so many users out there trusting old S9y versions for years! (Which is an honour for S9y, but not the reality of software matters in general. ;-) )
To make this integration (plugin/core) accessible, we could add it to be enabled by option. Then any concerns should be solved.

About the upgrading process interface, I did this in a time, when 2.0 began to develop and I wanted to come close that look, without being 2.0 already and not to look like the old BP backend design. It was meant as a 'transition look & feel'. This surely should get adapted to the finished 2.0 design now.

Btw, I remember to have disabled the beta check in dashboard or autoupgrade, since we never had a beta and the beta check file wasn't nursed ... so I think we should reactivate this again for the upcoming 2.0-Beta phase.

(*) http://board.s9y.org/viewtopic.php?f=4&t=19275
Regards,
Ian

Serendipity Styx Edition and additional_plugins @ https://ophian.github.io/ @ https://github.com/ophian

Locked